org.apache.cassandra.transport.messages

## Class ReadyMessage

- java.lang.Object
- - org.apache.cassandra.transport.Message
  - - org.apache.cassandra.transport.Message.Response
    - - org.apache.cassandra.transport.messages.ReadyMessage

    public class ReadyMessage
    extends Message.Response

Message to indicate that the server is ready to receive requests.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.cassandra.transport.Message

`Message.Codec<M extends Message>, Message.Direction, Message.Dispatcher, Message.ProtocolDecoder, Message.ProtocolEncoder, Message.Request, Message.Response, Message.Type`

### Field Summary

Fields
`static Message.Codec<ReadyMessage>` `codec`

### Fields inherited from class org.apache.cassandra.transport.Message.Response

`tracingId`

### Fields inherited from class org.apache.cassandra.transport.Message

`connection, logger, type`

### Constructor Summary

Constructors
Constructor and Description
`ReadyMessage()`

### Method Summary

Methods
`java.lang.String` `toString()`

### Methods inherited from class org.apache.cassandra.transport.Message.Response

`getTracingId, setTracingId`

### Methods inherited from class org.apache.cassandra.transport.Message

`attach, connection, getStreamId, setStreamId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### codec

    public static final Message.Codec<ReadyMessage> codec

### Constructor Detail

#### ReadyMessage

    public ReadyMessage()

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`